@echo off
rem --------------------------------------------------------------------------------
rem Programa para personalizar los iconos de gvSIG
rem Version 1.0
rem Copyright (2010) Enrique Lorenzo (lorheren at itacyl.es)
rem --------------------------------------------------------------------------------

rem --------------------------------------------------------------------------------
rem Este "microsoftware" esta publicado con la Licencia Publica de la Union Europea:
rem "Licencia cedida con arreglo a la EUPL V.1.1"
rem SIN GARANTIAS NI RESPONSABILIDADES, COMO INDICA EL TEXTO DE LA LICENCIA EUPL 1.1
rem --------------------------------------------------------------------------------

rem --------------------------------------------------------------------------------
rem Programa principal
:principal

rem Variables necesarias
set directoriokit=
set rutainstalador=%~dp0

rem Menu con la lista de carpetas de iconos
echo.
echo KitIconos: Cambio de iconos de gvSIG
echo ------------------------------------
echo       (Se aplica a gvSIG 1.9)
echo.
echo.
echo --SELECCIONAR KIT DE ICONOS---------
dir /b /ad "%rutainstalador%"
echo ------------------------------------
echo.

rem Pide seleccion
set /P directoriokit=Kit de iconos a instalar (intro=ninguno): 
echo.

rem Procesado de la opcion selecionada
rem Si no se selecciona ninguna se sale del programa
if /i "%directoriokit%"=="" goto :salida

rem Si no existe la carpeta de iconos avisa, y vuelve a esta rutina recursivamente
if not exist "%rutainstalador%%directoriokit%" (
	call :errornoexistekit
	goto :principal
	)

rem Si encuentra la carpeta de iconos la instala
if exist "%rutainstalador%%directoriokit%" (
	call :instala
	goto :salida
	)

goto :eof
rem Fin del programa principal
rem --------------------------------------------------------------------------------

rem --------------------------------------------------------------------------------
rem Subrutina instala
:instala

rem Se establecen las rutas y archivos necesarios
call set rutatema="%PROGRAMFILES%\gvSIG_1.9\bin\theme"
call set rutatema2="%PROGRAMFILES%\gvSIG_1.9\bin\gvSIG\extensiones\org.gvsig.iconThemeBase\images"
set xmlconfig=andami-theme.xml
set imgsplash=splash.png
set imgicono=icon.png
set imgvista=document-view-icon.png
set imgvistasel=document-view-icon-sel.png
set imgtable=document-table-icon.png
set imgtablesel=document-table-icon-sel.png
set imgmap=document-map-icon.png
set imgmapsel=document-map-icon-sel.png

rem Se copian los nuevos archivos
copy /Y "%rutainstalador%%directoriokit%\andami-theme.xml" %rutatema%
copy /Y "%rutainstalador%%directoriokit%\%imgsplash%" %rutatema%
copy /Y "%rutainstalador%%directoriokit%\%imgicono%" %rutatema%

rem En esta version parece que son iguales los iconos 16x16 y 22x22
copy /Y "%rutainstalador%%directoriokit%\%imgvista%" %rutatema2%\16x16
copy /Y "%rutainstalador%%directoriokit%\%imgvistasel%" %rutatema2%\16x16
copy /Y "%rutainstalador%%directoriokit%\%imgvista%" %rutatema2%\22x22
copy /Y "%rutainstalador%%directoriokit%\%imgvistasel%" %rutatema2%\22x22

copy /Y "%rutainstalador%%directoriokit%\%imgtable%" %rutatema2%\16x16
copy /Y "%rutainstalador%%directoriokit%\%imgtablesel%" %rutatema2%\16x16
copy /Y "%rutainstalador%%directoriokit%\%imgtable%" %rutatema2%\22x22
copy /Y "%rutainstalador%%directoriokit%\%imgtablesel%" %rutatema2%\22x22

copy /Y "%rutainstalador%%directoriokit%\%imgmap%" %rutatema2%\16x16
copy /Y "%rutainstalador%%directoriokit%\%imgmapsel%" %rutatema2%\16x16
copy /Y "%rutainstalador%%directoriokit%\%imgmap%" %rutatema2%\22x22
copy /Y "%rutainstalador%%directoriokit%\%imgmapsel%" %rutatema2%\22x22

rem Mensaje final de instalacion
echo.
echo El kit de iconos %directoriokit% ha sido instalado.
echo.
pause
goto :eof
rem Fin de la subrutina
rem --------------------------------------------------------------------------------

rem --------------------------------------------------------------------------------
rem Subrutina errornoexistekit
:errornoexistekit

echo.
echo NO EXISTE EL KIT:  "%directoriokit%"
echo [Nota: cada kit es una carpeta con los iconos]
echo.

goto :eof
rem Fin de la subrutina
rem --------------------------------------------------------------------------------

rem --------------------------------------------------------------------------------
rem Subrutina salida
:salida

rem Borrado de variables
set rutainstalador=
set rutatema=
set rutatema2=
set xmlconfig=
set imgsplash=
set imgicono=
set imgvista=
set imgvistasel=
set directoriokit=

@echo on
